package com.qmth.eds.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.eds.bean.dto.ExamSyncTotalDownloadDto;
import com.qmth.eds.common.entity.ExamSyncTotal;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 考务数据同步记录 服务类
 */
public interface ExamSyncTotalService extends IService<ExamSyncTotal> {

    IPage<ExamSyncTotal> list(Long syncDate, Integer pageNumber, Integer pageSize);

    void download(Long id, Boolean writeLog, HttpServletResponse response);

    void updateDownloadStatusBySchoolIdAndSemesterIdAndExamTypeId(Long schoolId, Long semesterId, Long examTypeId);

    List<ExamSyncTotalDownloadDto> listDownloadRecordInfos(Long schoolId, Long semesterId, Long examTypeId);

    ExamSyncTotal getBySemesterIdAndExamTypeIdAndDownloadStatus(Long schoolId, Long semesterId, Long examTypeId, boolean status);

    ExamSyncTotal getBySemesterIdAndExamTypeIdAndUseFile(Long schoolId, Long semesterId, Long examTypeId, boolean status);

    boolean used(Long id);
}
